=== alsa/Makefile ===
.SUFFIXES:

%.o: %.c
	gcc -c $< -I.. -Wno-deprecated-declarations -D_GNU_SOURCE

backend.a: list.o events.o async.o amixer.o userinfo.o
	ar -rcs $@ $^

.PHONY: clean cleanall

clean:
	@rm -vf $(wildcard *.o) $(wildcard *~)

cleanall:
	@rm -vf $(wildcard *.o) $(wildcard *~) backend.a
