=== debian/changelog ===
amixer-gtk (0.2.7-1) unstable; urgency=medium

  * Change default position if x_pos and y_pos aren't defined
  * Use safe strncpy_t() instead of strcpy() 
  * New upstream version 0.2.7

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 30 Dec 2024 09:27:15 +0100

amixer-gtk (0.2.6-1) unstable; urgency=medium

  * Fix := array overflow

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 25 Feb 2024 14:47:11 +0100

amixer-gtk (0.2.5-2) unstable; urgency=medium

  * Build for daedalus

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 20 May 2023 14:22:09 +0200

amixer-gtk (0.2.5-1+gnuinos4) unstable; urgency=medium

  * skip taskbar hint whenever the application restarts in the systray.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 26 Mar 2023 17:28:27 +0200

amixer-gtk (0.2.4-1+gnuinos4) unstable; urgency=medium

  * New upstream release 0.2.4
  * Fix overflow in the absolute path to executable due to an uninitialized string
  * Handle signals like SIGTERM, SIGINT and SIGQUIT
  * Do not detach asynchronous child process from parent
  * Use Getopt in place of Glib::OptionContext to parse the args in the command line

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 19 Feb 2023 21:23:04 +0100

amixer-gtk (0.2.3-2+gnuinos4) unstable; urgency=medium

  * Set the install prefix in d/rules and do not override dh_auto_install

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Wed, 15 Feb 2023 22:06:24 +0100

amixer-gtk (0.2.3-1+gnuinos4) unstable; urgency=medium

  * New upstream version 0.2.3
  * Fix a mistake in the command that restarts the gui when a new control (e.g. PCM) 
    arises.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Tue, 14 Feb 2023 20:34:41 +0100

amixer-gtk (0.2.2-1+gnuinos4) unstable; urgency=medium

  * New upstream version 0.2.2
  * Fixed a in the Master control bug when there is no systray icon
  * Remove dependency on libprocps, this removal is subject to the condition of being 
    enabled the kernel configuration variable CONFIG_PROC_CHILDREN, which goberns the 
    presence of /proc/<pid>/task/<tid>/children, where <tid> are the task identifiers.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 05 Feb 2023 13:24:31 +0100

amixer-gtk (0.2.1-1+gnuinos4) unstable; urgency=medium

  * Move the socket to /tmp
  * Add another index to the upstream version

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Tue, 17 Jan 2023 23:56:53 +0100

amixer-gtk (0.2-1+gnuinos4) unstable; urgency=medium

  * Use a weak pointer to access the data provided by the monitor
  * New upstream 0.2

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Mon, 16 Jan 2023 15:13:50 +0100

amixer-gtk (0.1) chimaera; urgency=medium

  * Initial release.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 01 May 2022 21:22:39 +0200
