=== debian/control ===
Source: amixer-gtk
Section: sound
Priority: optional
Origin: Gnuinos
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Build-Depends: debhelper (>= 12),
 dpkg-dev (>= 1.16.1~),
 pkg-config (>= 0.29.2~),
 libgtkmm-2.4-dev (>= 1:2.24.5-4),
 libasound2-dev (>= 1.2.2-1.1),
 libsigc++-2.0-dev (>= 2.10.4-2)
Standards-Version: 4.5.0
Homepage: https://gitea.devuan.dev/aitor_czr/amixer-gtk

Package: amixer-gtk
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  wmctrl (>= 1.07~)
Description: desktop mixer in Gtk with features similar to alsamixer.
 .
 Amixer-gtk is a desktop mixer application for ALSA's "Simple Mixer Interface" 
 and offers basic mixer functionality together with a system tray icon.
